# tables

For a list of geographical hierarchy level numbers,
see (/geo/README.md)[../geo/README.md].

To use the URLs below, run them like this:

```plain
curl "<my-url-here>" > feature.geojson
```

Or, from Python, use the subprocess submodule:

```plain
import subprocess, json

proc = subprocess.Popen(["curl",myurl], stdout=subprocess.PIPE)
dat = proc.stdout.read()

with open('feature_pretty.geojson','w') as f:
    json.dump(dat, f, separators=(',',': '),indent=4)
```

<br />

## Table Information - Columns and Headers

To get information about the table header and columns,
use the tabulation and table endpoints of the API.

[TableInfo.md](/TableInfo.md)

API endpoints:

```plain
https://api.censusreporter.org/1.0/tabulation/<table-id>
https://api.censusreporter.org/1.0/table/<table-id>
```

<br />

## Table Census Data

To get tables of data for specific geographic entities, you have to pass in three pieces of information:

* Table ID
* Geo entity level
* Geo entity ID

[TableData.md](/TableData.md)

API endpoint for a single table and single geographic entity:

```plain
curl "https://api.censusreporter.org/1.0/data/show/latest?table_ids=<table-id>&geo_ids=<geo-id>"
```

API endpoint for multiple tables or geographic entities:

```plain
curl "https://api.censusreporter.org/1.0/data/show/latest?table_ids=<table-id-1>,<table-id-2>&geo_ids=<geo-id-1>,<geo-id-2>"
```

Note that downloading a contiguous block of census data for, e.g., 
all counties in a given state can take some finesse.

# interesting tables 

## income

B19301: per capita income

B19013: median household income

B19025: aggregate household income


