## Table Census Data

Getting table data for a geographical entity requires three pieces of information:

* Table ID
* Geo entity level
* Geo entity ID

The endpoint URL for getting table data is:

```
curl "https://api.censusreporter.org/1.0/data/show/latest?table_ids=<table-id-1>,<table-id-2>&geo_ids=<geo-id-1>,<geo-id-2>"
```

For example, this requests table B07007 for a geo entity at the state level (040),
specifically Alabama (the state with geoid 28):

```
curl "https://api.censusreporter.org/1.0/data/show/latest?table_ids=B07007&geo_ids=04000US28"
```

Multiple `geo_id`s can be requested by passing in a comma separated list;
this command requests table B07007 for states 28 (Alabama) and 06 (California):

```
curl "https://api.censusreporter.org/1.0/data/show/latest?table_ids=B07007&geo_ids=04000US28,04000US06"
```

This will return a JSON object containing table headers, table data, and geographic feature names.
Here is an example of output from this URL, showing table data for table 07007 for AL and CA:

```
{
    "release": {
        "id": "acs2016_1yr",
        "name": "ACS 2016 1-year",
        "years": "2016"
    },
    "tables": {
        "B07007": {
            "title": "Geographical Mobility in the Past Year by Citizenship Status for Current Residence in the United States",
            "universe": "Population 1 Year and Over in the United States",
            "denominator_column_id": "B07007001",
            "columns": {
                "B07007001": {
                    "name": "Total:",
                    "indent": 0
                },
                "B07007002": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007003": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007004": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007005": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                },
                "B07007006": {
                    "name": "Same house 1 year ago:",
                    "indent": 1
                },
                "B07007007": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007008": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007009": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007010": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                },
                "B07007011": {
                    "name": "Moved within same county:",
                    "indent": 1
                },
                "B07007012": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007013": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007014": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007015": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                },
                "B07007016": {
                    "name": "Moved from different county within same state:",
                    "indent": 1
                },
                "B07007017": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007018": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007019": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007020": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                },
                "B07007021": {
                    "name": "Moved from different state:",
                    "indent": 1
                },
                "B07007022": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007023": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007024": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007025": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                },
                "B07007026": {
                    "name": "Moved from abroad:",
                    "indent": 1
                },
                "B07007027": {
                    "name": "Native",
                    "indent": 2
                },
                "B07007028": {
                    "name": "Foreign born:",
                    "indent": 2
                },
                "B07007029": {
                    "name": "Naturalized U.S. citizen",
                    "indent": 3
                },
                "B07007030": {
                    "name": "Not a U.S. citizen",
                    "indent": 3
                }
            }
        }
    },
    "data": {
        "04000US06": {
            "B07007": {
                "estimate": {
                    "B07007001": 38783436.0,
                    ...
                    "B07007030": 233086.0
                },
                "error": {
                    "B07007001": 10247.0,
                    ...
                    "B07007030": 10773.0
                }
            }
        },
        "04000US28": {
            "B07007": {
                "estimate": {
                    "B07007001": 2951081.0,
                    ...
                    "B07007030": 1631.0
                },
                "error": {
                    "B07007001": 3274.0,
                    ...
                    "B07007030": 556.0
                }
            }
        }
    },
    "geography": {
        "04000US06": {
            "name": "California"
        },
        "04000US28": {
            "name": "Mississippi"
        }
    }
}
```

