## Table Information - Headers and Columns

To get information about the table header and columns,
use the tabulation and table endpoints of the API.

### Table Headers

Use the `tabulation` endpoint to get information about table headers only.

To get basic information about a table, use the tabulation endpoint:

```
https://api.censusreporter.org/1.0/tabulation/<table-id>
```

such as 07007. Example:

```
$ curl "https://api.censusreporter.org/1.0/tabulation/07007"
```

[See example](https://charlesreid1.com/wiki/Census_Data#Tabulation_Endpoint)

### Table Columns

Use the `table` endpoint to get information about table columns.
The base URL is:

```
https://api.censusreporter.org/1.0/table/<table-id>
```

This returns each column in the table and its hierarchical level,
but no actual rows in the table are returned.

For example, to show the headers for table B07007, you would call:

```
https://api.censusreporter.org/1.0/table/B07007
```

Example output:

```
{
    "table_id": "B07007",
    "table_title": "Geographical Mobility in the Past Year by Citizenship Status for Current Residence in the United States",
    "simple_table_title": "Geographical Mobility in the Past Year by Citizenship Status for Current Residence in the United States",
    "subject_area": "Residence Last Year - Migration",
    "universe": "Population 1 Year and Over in the United States",
    "denominator_column_id": "B07007001",
    "topics": [
        "migration",
        "citizenship"
    ],
    "columns": {
        "B07007001": {
            "column_title": "Total:",
            "indent": 0,
            "parent_column_id": null
        },
        "B07007002": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007001"
        },
        "B07007003": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007001"
        },
        "B07007004": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007003"
        },
        "B07007005": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007003"
        },
        "B07007006": {
            "column_title": "Same house 1 year ago:",
            "indent": 1,
            "parent_column_id": "B07007001"
        },
        "B07007007": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007006"
        },
        "B07007008": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007006"
        },
        "B07007009": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007008"
        },
        "B07007010": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007008"
        },
        "B07007011": {
            "column_title": "Moved within same county:",
            "indent": 1,
            "parent_column_id": "B07007001"
        },
        "B07007012": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007011"
        },
        "B07007013": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007011"
        },
        "B07007014": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007013"
        },
        "B07007015": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007013"
        },
        "B07007016": {
            "column_title": "Moved from different county within same state:",
            "indent": 1,
            "parent_column_id": "B07007001"
        },
        "B07007017": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007016"
        },
        "B07007018": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007016"
        },
        "B07007019": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007018"
        },
        "B07007020": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007018"
        },
        "B07007021": {
            "column_title": "Moved from different state:",
            "indent": 1,
            "parent_column_id": "B07007001"
        },
        "B07007022": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007021"
        },
        "B07007023": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007021"
        },
        "B07007024": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007023"
        },
        "B07007025": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007023"
        },
        "B07007026": {
            "column_title": "Moved from abroad:",
            "indent": 1,
            "parent_column_id": "B07007001"
        },
        "B07007027": {
            "column_title": "Native",
            "indent": 2,
            "parent_column_id": "B07007026"
        },
        "B07007028": {
            "column_title": "Foreign born:",
            "indent": 2,
            "parent_column_id": "B07007026"
        },
        "B07007029": {
            "column_title": "Naturalized U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007028"
        },
        "B07007030": {
            "column_title": "Not a U.S. citizen",
            "indent": 3,
            "parent_column_id": "B07007028"
        }
    }
}
```

