import subprocess
import json


"""
Print table info for B19301 (Per Capita Income)

B19301 is a nice, simple table with a single column (B19301001).

Calling this script results in:

{
    "table_id":"B19301", 
    "table_title":"Per Capita Income in the Past 12 Months (In 2016 Inflation-adjusted Dollars)", 
    "simple_table_title":"Per Capita Income", 
    "subject_area":"Income", 
    "universe":"Total Population", 
    "denominator_column_id":null, 
    "topics":[
        "income"
    ], 
    "columns":{
        "B19301001":{
            "column_title":"Per capita income in the past 12 months (in 2016 inflation-adjusted dollars)", 
            "indent":0, 
            "parent_column_id":null
        }
    }
}

"""


def main():
    # Table information URL 
    myurl = "https://api.censusreporter.org/1.0/table/B19301"
    proc = subprocess.Popen(["curl",myurl], stdout=subprocess.PIPE)
    dat = json.loads(proc.stdout.read().decode('utf-8'))

    print(json.dumps(dat,separators=(', ',':'), indent=4))


if __name__=="__main__":
    main()
